
variables:
  BRANCH: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
  COMMIT: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA
  MASTER: $CI_REGISTRY_IMAGE:master
  #TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG

stages:
    - build
    - test

build-master:

    only:
        - master
    stage: build
    script:
        - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
        - docker build --rm --no-cache -t $MASTER  ./
        - docker push $MASTER

test-master:

    only:
        - master
    stage: test
    script:
        - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
        - docker run -u $(id -u):$(id -g) $MASTER "/opt/bayeswave/test/test-bayeswave.sh"
